Support trying local branches in submodule

pull/1154/head
Joshua Boniface 6 years ago
parent 0dab69b551
commit cf85e2327e

16
build

@ -171,10 +171,20 @@ if ! git diff-index --quiet HEAD --; then
fi
git fetch --all
git checkout origin/${web_branch} || {
echo "ERROR: 'jellyfin-web' branch ${web_branch} is invalid."
# If this is an official branch name, fetch it from origin
official_branches_regex="^master$|^dev$|^release-.*$|^hotfix-.*$"
if [[ ${web_branch} =~ ${official_branches_regex} ]]; then
git checkout origin/${web_branch} || {
echo "ERROR: 'jellyfin-web' branch 'origin/${web_branch}' is invalid."
exit 1
}
}
# Otherwise, just check out the local branch (for testing, etc.)
else
git checkout ${web_branch} || {
echo "ERROR: 'jellyfin-web' branch '${web_branch}' is invalid."
exit 1
}
fi
popd
# Execute each platform and action in order, if said action is enabled

@ -47,10 +47,20 @@ if ! git diff-index --quiet HEAD --; then
fi
git fetch --all
git checkout origin/${web_branch} || {
echo "ERROR: 'jellyfin-web' branch ${web_branch} is invalid."
# If this is an official branch name, fetch it from origin
official_branches_regex="^master$|^dev$|^release-.*$|^hotfix-.*$"
if [[ ${web_branch} =~ ${official_branches_regex} ]]; then
git checkout origin/${web_branch} || {
echo "ERROR: 'jellyfin-web' branch 'origin/${web_branch}' is invalid."
exit 1
}
}
# Otherwise, just check out the local branch (for testing, etc.)
else
git checkout ${web_branch} || {
echo "ERROR: 'jellyfin-web' branch '${web_branch}' is invalid."
exit 1
}
fi
popd
new_version="$1"

Loading…
Cancel
Save